Get collection by ID
Retrieve detailed information about a specific collection by its ID.
This endpoint returns all metadata for the collection, including its name and configuration.
Use cases:
- Displaying collection details in UI
- Validating collection existence before creating scenes
- Fetching collection metadata for integrations
Authorization
apiKey AuthorizationBearer <token>
The API will use the Authorization: Bearer <your-key> header for requests.
In: header
Path Parameters
collectionId*string
Response Body
application/json
application/json
application/json
curl -X GET "https://api.excalidraw.com/api/v1/collections/string"{
"id": "string",
"isDefault": true,
"workspace": "string",
"creator": "string",
"updater": "string",
"teams": [
"string"
],
"created": "2019-08-24T14:15:22Z",
"sortOrder": "string",
"name": "string",
"updated": "2019-08-24T14:15:22Z",
"isDeleted": true,
"emoji": {
"id": "string",
"native": "string",
"unified": "string"
},
"deletedAt": 0
}{
"statusCode": 401,
"error": "Unauthorized",
"message": "string"
}{
"statusCode": 403,
"error": "Forbidden",
"message": "string"
}